Files by TS
curl --request GET \
--url https://app.onefirewall.com/api/v1/files \
--header 'Authorization: <api-key>'import requests
url = "https://app.onefirewall.com/api/v1/files"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.onefirewall.com/api/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.onefirewall.com/api/v1/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.onefirewall.com/api/v1/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.onefirewall.com/api/v1/files")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.onefirewall.com/api/v1/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"header": {
"type": "Malware",
"version": 4,
"ts": 1693519200,
"next_ts": 1693519490,
"page_size": 100,
"user": {
"guid": "OFA-GUID-YORP-4193-FDFM",
"name": "NAME",
"surname": "Surname",
"username": "[email protected]",
"role": 0,
"unsuccessful_login": 0,
"member_of": {
"gid": "OFA-GID-dsfgdsfgfdj",
"name": "Org1",
"trust": 0.85,
"delay": "0",
"credit_tokens": 2000000000,
"debit_tokens": 1888915
}
}
},
"body": [
{
"md5": "B3A5311FB0E11953EBD765D4231776EE",
"sha1": "EE727E0FFE780EC24609B9FCCA8512ADE671E2D5",
"sha256": "15678297D3D6DA1D77C9B5C7B479F5C3C922D739C42CA00641F3D3587A829970",
"score": 96,
"ts": 1693519331,
"file_bytes": null,
"total_reports": 47,
"total_members": 1,
"file_type": "application/x-executable",
"file_name": "b3a5311fb0e11953ebd765d4231776ee",
"tags": [
"n/a",
"elf"
],
"elk_ts": "2023-08-31T22:02:11.000Z",
"elk_entry_ts": "2023-08-30T00:03:23.000Z",
"entry_ts": 1693353803
},
{
"md5": "947F536E12836C13CFC73638B796471D",
"sha1": "F478B6E4653C4620AF43841CC1F0227BC79F3ADB",
"sha256": "1AE54CBDE48D74B3312771FCDB51E672CD0D60F737FA5FE09F9C83597B8A3B5F",
"score": 96,
"ts": 1693519331,
"file_bytes": null,
"total_reports": 47,
"total_members": 1,
"file_type": "application/x-executable",
"file_name": "947f536e12836c13cfc73638b796471d",
"tags": [
"n/a",
"elf",
"Gafgyt"
],
"elk_ts": "2023-08-31T22:02:11.000Z",
"elk_entry_ts": "2023-08-30T00:03:23.000Z",
"entry_ts": 1693353803
},
{
"md5": "9D6980C593C635DE0E0A37224272924D",
"sha1": "2EEA6F42D295AC7CEEB7FF079B99ADBB698C321F",
"sha256": "DE895366E2FB48A164C45082928A4AF3D08969A5218F8B9581455635F7922876",
"score": 96,
"ts": 1693519331,
"file_bytes": null,
"total_reports": 47,
"total_members": 1,
"file_type": "application/x-executable",
"file_name": "9d6980c593c635de0e0a37224272924d",
"tags": [
"n/a",
"elf"
],
"elk_ts": "2023-08-31T22:02:11.000Z",
"elk_entry_ts": "2023-08-30T00:03:23.000Z",
"entry_ts": 1693353803
}
]
}Security Binary
Files by TS
GET
/
files
Files by TS
curl --request GET \
--url https://app.onefirewall.com/api/v1/files \
--header 'Authorization: <api-key>'import requests
url = "https://app.onefirewall.com/api/v1/files"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.onefirewall.com/api/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.onefirewall.com/api/v1/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.onefirewall.com/api/v1/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.onefirewall.com/api/v1/files")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.onefirewall.com/api/v1/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"header": {
"type": "Malware",
"version": 4,
"ts": 1693519200,
"next_ts": 1693519490,
"page_size": 100,
"user": {
"guid": "OFA-GUID-YORP-4193-FDFM",
"name": "NAME",
"surname": "Surname",
"username": "[email protected]",
"role": 0,
"unsuccessful_login": 0,
"member_of": {
"gid": "OFA-GID-dsfgdsfgfdj",
"name": "Org1",
"trust": 0.85,
"delay": "0",
"credit_tokens": 2000000000,
"debit_tokens": 1888915
}
}
},
"body": [
{
"md5": "B3A5311FB0E11953EBD765D4231776EE",
"sha1": "EE727E0FFE780EC24609B9FCCA8512ADE671E2D5",
"sha256": "15678297D3D6DA1D77C9B5C7B479F5C3C922D739C42CA00641F3D3587A829970",
"score": 96,
"ts": 1693519331,
"file_bytes": null,
"total_reports": 47,
"total_members": 1,
"file_type": "application/x-executable",
"file_name": "b3a5311fb0e11953ebd765d4231776ee",
"tags": [
"n/a",
"elf"
],
"elk_ts": "2023-08-31T22:02:11.000Z",
"elk_entry_ts": "2023-08-30T00:03:23.000Z",
"entry_ts": 1693353803
},
{
"md5": "947F536E12836C13CFC73638B796471D",
"sha1": "F478B6E4653C4620AF43841CC1F0227BC79F3ADB",
"sha256": "1AE54CBDE48D74B3312771FCDB51E672CD0D60F737FA5FE09F9C83597B8A3B5F",
"score": 96,
"ts": 1693519331,
"file_bytes": null,
"total_reports": 47,
"total_members": 1,
"file_type": "application/x-executable",
"file_name": "947f536e12836c13cfc73638b796471d",
"tags": [
"n/a",
"elf",
"Gafgyt"
],
"elk_ts": "2023-08-31T22:02:11.000Z",
"elk_entry_ts": "2023-08-30T00:03:23.000Z",
"entry_ts": 1693353803
},
{
"md5": "9D6980C593C635DE0E0A37224272924D",
"sha1": "2EEA6F42D295AC7CEEB7FF079B99ADBB698C321F",
"sha256": "DE895366E2FB48A164C45082928A4AF3D08969A5218F8B9581455635F7922876",
"score": 96,
"ts": 1693519331,
"file_bytes": null,
"total_reports": 47,
"total_members": 1,
"file_type": "application/x-executable",
"file_name": "9d6980c593c635de0e0a37224272924d",
"tags": [
"n/a",
"elf"
],
"elk_ts": "2023-08-31T22:02:11.000Z",
"elk_entry_ts": "2023-08-30T00:03:23.000Z",
"entry_ts": 1693353803
}
]
}Updated API documentation with live interaction is now available in the product dashboard under API Docs.
Query Parameters
Response
200 - application/json
The request was received and processed successfully
The response is of type string.

